#ifndef USERPARAMS_H
#include "userparams.h"

void init_user_params(user_params* up)
{
    int i,j;
    dr_par* p_par;
    dr_op*  p_op;
    for (i = 0; i < MAX_PAR_SETS; i++) {
        up->params_count  [i] = 0;
        up->param_used_frs[i] = FALSE;
        up->param_used_als[i] = FALSE;
        p_par = up->params[i];
        p_op  = up->operas[i];
        for (j = 0; j < USER_MAX_PARS; j++) {
            p_par[j] = PAR_OFF;
            if (j < USER_MAX_OPS)
                p_op[j] = OP_OFF;
        }
    }
    for (i = 0; i < MAX_NUMS; i++)
        up->numbers[i] = 0.0;
}

void copy_user_params(user_params* src, user_params* dest)
{
    int i,j;
    dr_par* dp_par;
    dr_par* sp_par;
    dr_op* dp_op;
    dr_op* sp_op;
    for (i = 0; i < MAX_PAR_SETS; i++) {
        dest->params_count  [i] = src->params_count  [i];
        dest->param_used_frs[i] = src->param_used_frs[i];
        dest->param_used_als[i] = src->param_used_als[i];
        dp_par = dest->params[i];
        dp_op  = dest->operas[i];
        sp_par = src->params[i];
        sp_op  = src->operas[i];
        for (j = 0; j < USER_MAX_PARS; j++) {
            dp_par[j] = sp_par[j];
            if (j < USER_MAX_OPS)
                dp_op[j] = sp_op[j];
        }
    }
    for (i = 0; i < MAX_NUMS; i++)
        dest->numbers[i] = src->numbers[i];
}

#endif
